Subject: Re: bug#16163: 24.3.50; segfault at xdisp.c 20044 -- (can not reproduce)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Dec 2015 02:36:11 +0100

Nicolas Richard <[email-masked]> writes:

> Le 16/12/2013 18:01, Eli Zaretskii a écrit :
>>  (gdb) set logging on
>
> Thanks, I have put that line inside my ~/.gdbinit
>
>> Not much to go by here, unfortunately.  You didn't even tell which
>> part of the above segfaulted: was it row->glyphs,
>> row->glyphs[TEXT_AREA]->charpos, or it->position?
>
> Is it a piece of information I can still retrieve from the running gdb
> instance ? (Yes, I am particularly ignorant.)
>
>> In addition, this seems to be an optimized build, so backtraces are
>> unreliable.  Please try reproducing this in an unoptimized build.
>
> I'm now rebuilding using :
>
> CFLAGS=-g3 ./configure --with-x-toolkit=lucid --enable-checking
>
> Is this correct ?

I'm assuming you didn't get further backtraces back then, so I'm closing
this bug report.  Please reopen if that isn't the case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no